from flask import render_template, Blueprint, request, redirect, url_for
import requests
from backstage.utils.routes import update_manage_table

room_planner_app = Blueprint('room_planner', __name__)


@room_planner_app.route('/backstage/room_planner')
def main():
    response = requests.get('http://127.0.0.1:5000/api/manages/data?page=room_planner')
    return render_template('room_planner.html',
                           title='規劃師服務',
                           form_url='room_planner.update',
                           page='room_planner',
                           contents=response.json())


@room_planner_app.route('/backstage/room_planner/update', methods=['POST'])
def update():
    update_manage_table(request.form, request.args, request.files, 'room_planner2')
    return redirect(url_for('room_planner.main'))
